Circle[] myCircles; //declare array of objects
int numOfMyCircles = 50; // number in array
int currentCircle = 0; // variable to keep track of circle count 

void setup(){
  size(500,500);
  smooth();
  myCircles = new Circle[numOfMyCircles]; // create array
  for(int i = 0; i<myCircles.length; i++){ // for loop to populate array
   myCircles[i] = new Circle();  // assign circles to array
  }
}

void draw(){
  background(0);
  for(int i = 0; i<numOfMyCircles; i++){ // for loop to cycle through array
    myCircles[i].grow(); // grow function each circle in array
    myCircles[i].display(); // display function for each circle in array
  }
}

void mousePressed(){
  //when mouse is pressed begin() pass mouseX and mouseY to object.method
  myCircles[currentCircle].begin(mouseX,mouseY); 
  // keep track of the count of circles
  currentCircle++;
  // if there are a >= amount of circles in the array, start the count back at 0
  if(currentCircle>=numOfMyCircles){
   currentCircle = 0; 
  }
}

